Subject: Re: bug#67984: build of docbook-xsl-1.79.2-0.fe16c90 failed

From: Maxim Cournoyer <[email-masked]>
Date: Tue, 12 Nov 2024 22:56:26 +0900

Hi,

Russell Hernandez Ruiz <[email-masked]> writes:

> Terminal log follows. Build log attached.
>
> building /gnu/store/cr5cmzdjs74s32m6yzfl076l292cr7vf-docbook-xsl-
> 1.79.2-0.fe16c90.drv...
> |builder for `/gnu/store/cr5cmzdjs74s32m6yzfl076l292cr7vf-docbook-xsl-
> 1.79.2-0.fe16c90.drv' failed with exit code 1
> build of /gnu/store/cr5cmzdjs74s32m6yzfl076l292cr7vf-docbook-xsl-
> 1.79.2-0.fe16c90.drv failed
> View build log at
> '/var/log/guix/drvs/cr/5cmzdjs74s32m6yzfl076l292cr7vf-docbook-xsl-
> 1.79.2-0.fe16c90.drv.gz'.
> Backtrace:
>           15 (primitive-load
> "/gnu/store/sik3gd8vps1r6qahkj3lrzai1q5q13rx-compute-guix-derivation")
> In ice-9/eval.scm:
>     155:9 14 (_ _)
>     159:9 13 (_ #(#(#(#(#(#(#(#(#(#(#(#(#(#(#(#(#<directory (guile-u?>
> ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?))
> In ice-9/boot-9.scm:
>     152:2 12 (with-fluid* _ _ _)
>     152:2 11 (with-fluid* _ _ _)
> In ./guix/store.scm:
>   2180:24 10 (run-with-store #<store-connection 256.99 7fbb7a077140>
> #<procedure 7fbb67191d20 at ./guix/self.scm:13?> ?)
>    2008:8  9 (_ #<store-connection 256.99 7fbb7a077140>)
> In ./guix/gexp.scm:
>    299:22  8 (_ #<store-connection 256.99 7fbb7a077140>)
>    1201:2  7 (_ #<store-connection 256.99 7fbb7a077140>)
>    1068:2  6 (_ #<store-connection 256.99 7fbb7a077140>)
>     909:4  5 (_ #<store-connection 256.99 7fbb7a077140>)
> In ./guix/store.scm:
>   2065:12  4 (_ #<store-connection 256.99 7fbb7a077140>)
>   1407:13  3 (map/accumulate-builds #<store-connection 256.99
> 7fbb7a077140> #<procedure 7fbb61515700 at ./guix/stor?> ?)
>    1403:5  2 (map/accumulate-builds #<store-connection 256.99
> 7fbb7a077140> #<procedure 7fbb679e09c0 at ./guix/stor?> ?)
>   1419:15  1 (_ #<store-connection 256.99 7fbb7a077140>
> ("/gnu/store/rclz4h8d3sizp4psr1a3821y7hbzan6p-guix-daemo?" ?) ?)
>   1419:15  0 (loop #f)
>
> ./guix/store.scm:1419:15: In procedure loop:
> ERROR:
>   1. &store-protocol-error:
>       message: "build of `/gnu/store/xjqlqzvdfnnvj3rl4ivwv4db3c6dr3x0-
> graphviz-minimal-7.0.1.drv' failed"
>       status: 100
> guix pull: error: You found a bug: the program
> '/gnu/store/sik3gd8vps1r6qahkj3lrzai1q5q13rx-compute-guix-derivation'
> failed to compute the derivation for Guix (version:
> "ca813173894360edef35a5d98878a3135e99e62a"; system: "x86_64-linux";
> host version: "1.4.0"; pull-version: 1).
> Please report the COMPLETE output above by email to <[email-masked]>.

I was able to reproduce the issue, but the builds to fail ratio appears
to be high.  I could triggered it using something like:

--8<---------------cut here---------------start------------->8---
$ guix build docbook-xsl --no-grafts --check --rounds=50
--8<---------------cut here---------------end--------------->8---

I guess we should report that upstream and set #:parallel-tests? to #f
in the meantime it gets resolved.

-- 
Thanks,
Maxim